> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info

> Gets information about the user



## OpenAPI

````yaml /api-reference/openapi.json get /v1/user
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/user:
    get:
      summary: Get User Info
      description: Gets information about the user
      operationId: get_user_info
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserResponseModel:
      properties:
        user_id:
          type: string
          title: User Id
          description: The unique identifier of the user.
        subscription:
          $ref: '#/components/schemas/SubscriptionResponseModel'
          description: Details of the user's subscription.
        is_onboarding_completed:
          type: boolean
          title: Is Onboarding Completed
          description: Whether the user's onboarding is completed.
        is_onboarding_checklist_completed:
          type: boolean
          title: Is Onboarding Checklist Completed
          description: Whether the user's onboarding checklist is completed.
        show_compliance_terms:
          type: boolean
          title: Show Compliance Terms
          description: >-
            Whether to show compliance terms (ToS, Privacy Policy) during
            onboarding. Set for users signing up from the marketing site.
          default: false
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the user.
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the user.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: Display name of the user.
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
          description: Profile picture URL for the user.
        is_api_key_hashed:
          type: boolean
          title: Is Api Key Hashed
          description: Whether the user's API key is hashed.
          default: false
        created_at:
          type: integer
          title: Created At
          description: >-
            The unix timestamp of the user's creation. 0 if the user was created
            before the unix timestamp was added.
        seat_type:
          $ref: '#/components/schemas/SeatType'
          description: The seat type of the user.
      type: object
      required:
        - user_id
        - subscription
        - is_onboarding_completed
        - is_onboarding_checklist_completed
        - created_at
        - seat_type
      title: UserResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SubscriptionResponseModel:
      properties:
        tier:
          type: string
          title: Tier
          description: The tier of the workspace subscription.
        status:
          $ref: '#/components/schemas/SubscriptionStatusType'
          description: The status of the workspace subscription.
        credits_balance:
          type: integer
          title: Credits Balance
          description: The number of credits currently available to the workspace.
        credits_limit:
          type: integer
          title: Credits Limit
          description: The number of credits included in the current billing period.
        credits_used:
          type: integer
          title: Credits Used
          description: The number of credits used by the workspace.
        plan_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Name
          description: The display name of the workspace subscription plan.
        billing_period:
          anyOf:
            - $ref: '#/components/schemas/BillingPeriod'
            - type: 'null'
          description: The billing period of the workspace subscription.
        credit_refresh_period:
          anyOf:
            - $ref: '#/components/schemas/CreditRefreshPeriod'
            - type: 'null'
          description: The period on which included credits refresh.
        current_period_start_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Period Start Unix Secs
          description: Unix timestamp for the start of the current billing period.
        current_period_end_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Period End Unix Secs
          description: Unix timestamp for the end of the current billing period.
        next_billing_at_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Billing At Unix Secs
          description: Unix timestamp for the next billing event.
        cancel_at_period_end:
          type: boolean
          title: Cancel At Period End
          description: Whether the subscription cancels at period end.
          default: false
        currency:
          anyOf:
            - $ref: '#/components/schemas/Currency'
            - type: 'null'
          description: The currency of the workspace subscription.
        trust_on_invoice_creation:
          type: boolean
          title: Trust On Invoice Creation
          description: >-
            Whether the workspace can use delayed payment methods when creating
            invoices.
          default: false
        current_overage:
          $ref: '#/components/schemas/Price'
          description: The current usage-based credit overage cost.
      type: object
      required:
        - tier
        - status
        - credits_balance
        - credits_limit
        - credits_used
      title: SubscriptionResponseModel
    SeatType:
      type: string
      enum:
        - workspace_admin
        - workspace_member
        - workspace_lite_member
      title: SeatType
      description: Seat types for workspace members.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SubscriptionStatusType:
      type: string
      enum:
        - free
        - free_disabled
        - trialing
        - active
        - incomplete
        - past_due
        - on_hold
        - cancelled
        - expired
      title: SubscriptionStatusType
    BillingPeriod:
      type: string
      enum:
        - monthly_period
        - 3_month_period
        - 6_month_period
        - annual_period
      title: BillingPeriod
    CreditRefreshPeriod:
      type: string
      enum:
        - monthly_period
        - 3_month_period
        - 6_month_period
        - annual_period
      title: CreditRefreshPeriod
    Currency:
      type: string
      enum:
        - usd
        - eur
        - inr
        - pln
      title: Currency
    Price:
      properties:
        amount:
          type: string
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
      type: object
      required:
        - amount
        - currency
      title: Price

````